### Class

# Foundry ModelManager

#### Description [src]

    class Foundry.ModelManager : GObject.Object
    {
      /* No available fields */
    }

Integrate with platform high-level models such as flatten or map.

#### Ancestors

- GObject

#### Functions

###### foundry_model_manager_dup_default

No description available.

#### Instance methods

###### foundry_model_manager_flatten

No description available.

###### foundry_model_manager_map

No description available.

###### foundry_model_manager_set_default

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryModelManagerClass {
      GObjectClass parent_class;
      GListModel* (* flatten) (
        FoundryModelManager* self,
        GListModel* model
      );
      GListModel* (* map) (
        FoundryModelManager* self,
        GListModel* model,
        FoundryListModelMapFunc map_func,
        gpointer user_data,
        GDestroyNotify user_destroy
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`flatten: GListModel* (* flatten) ( FoundryModelManager* self, GListModel* model )`

  No description available.

`map: GListModel* (* map) ( FoundryModelManager* self, GListModel* model, FoundryListModelMapFunc map_func, gpointer user_data, GDestroyNotify user_destroy )`

  No description available.

#### Virtual methods

###### Foundry.ModelManagerClass.flatten

No description available.

###### Foundry.ModelManagerClass.map

No description available.